#include "qt/output/kernel.hpp"

QtKernel::QtKernel(string filename):Kernel(filename){
}

void
QtKernel::run(){
  QTime start=QTime::currentTime();
  cout<<"QtKernel::run -> start"<<endl;
  for(size_t i=1;i<Time::nT;++i){
    next();
  }
  cout<<"QtKernel::run -> end"<<endl;
  QTime end=QTime::currentTime();
  float ms=start.msecsTo(end);
  cout<<"Duration : "<<ms/1000<<endl;

}
